package com.ruoyi.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【EBS订单信息】对象 t_ebs_order
 *
 * @author wms
 * @date 2022-08-25
 */
@TableName("t_ebs_order")
public class TEbsOrder extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 采购单号
     */
    @Excel(name = "采购单号")
    @TableField("phaSegment1")
    private String phaSegment1;

    /**
     * 发运行号
     */
    @Excel(name = "发运行号")
    @TableField("shipmentNum")
    private Integer shipmentNum;

    /**
     * 分配行号
     */
    @Excel(name = "分配行号")
    @TableField("distributionNum")
    private Integer distributionNum;

    /**
     * 接收类型
     */
    @Excel(name = "接收类型")
    @TableField("supplyTypeCode")
    private String supplyTypeCode;

    /**
     * 可接收数量
     */
    @Excel(name = "可接收数量")
    @TableField("msQuantity")
    private Double msQuantity;

    /**
     * 分配行ID
     */
    @Excel(name = "分配行ID")
    @TableField("poDistributionId")
    private Integer poDistributionId;

    /**
     * 采购订单头ID
     */
    @Excel(name = "采购订单头ID")
    @TableField("poHeaderId")
    private Integer poHeaderId;

    /**
     * 采购订单行ID
     */
    @Excel(name = "采购订单行ID")
    @TableField("poLineId")
    private Integer poLineId;

    /**
     * 采购订单行号
     */
    @Excel(name = "采购订单行号")
    @TableField("lineNum")
    private Integer lineNum;

    /**
     * OU组织ID
     */
    @Excel(name = "OU组织ID")
    @TableField("orgId")
    private Integer orgId;

    /**
     * 接收库存组织
     */
    @Excel(name = "接收库存组织")
    @TableField("shipToOrganizationId")
    private Integer shipToOrganizationId;

    /**
     * 采购物料ID
     */
    @Excel(name = "采购物料ID")
    @TableField("itemId")
    private Integer itemId;

    /**
     * 采购订单行物料描述
     */
    @Excel(name = "采购订单行物料描述")
    @TableField("itemDescription")
    private String itemDescription;

    /**
     * 采购单位
     */
    @Excel(name = "采购单位")
    @TableField("unitMeasLookupCode")
    private String unitMeasLookupCode;

    /**
     * 采购单价
     */
    @Excel(name = "采购单价")
    @TableField("unitPrice")
    private Double unitPrice;

    /**
     * 发运行数量
     */
    @Excel(name = "发运行数量")
    @TableField("quantity")
    private Double quantity;

    /**
     * 已接收数量
     */
    @Excel(name = "已接收数量")
    @TableField("quantityReceived")
    private Double quantityReceived;

    /**
     * 发运行状态
     */
    @Excel(name = "发运行状态")
    @TableField("closedCode")
    private String closedCode;

    /**
     * 发运行ID
     */
    @Excel(name = "发运行ID")
    @TableField("lineLocationId")
    private Integer lineLocationId;

    /**
     * 供应商ID
     */
    @Excel(name = "供应商ID")
    @TableField("vendorId")
    private Integer vendorId;

    /**
     * 供应商名称
     */
    @Excel(name = "供应商名称")
    @TableField("vendorName")
    private String vendorName;

    /**
     * 工单ID
     */
    @Excel(name = "工单ID")
    @TableField("wipEntityId")
    private String wipEntityId;

    /**
     * 接收方式 1：标准接收，
     * 2：要求检验，3：直接交货
     */
    @Excel(name = "接收方式")
    @TableField("receivingRoutingId")
    private Integer receivingRoutingId;

    /**
     * 是否批次控制
     */
    @Excel(name = "是否批次控制")
    @TableField("lotControl")
    private String lotControl;

    /**
     * 订单物资收货检验优先级
     */
    @Excel(name = "订单物资收货检验优先级")
    @TableField("checkPriority")
    private String checkPriority;

    public String getPhaSegment1() {
        return phaSegment1;
    }

    public void setPhaSegment1(String phaSegment1) {
        this.phaSegment1 = phaSegment1;
    }

    public Integer getShipmentNum() {
        return shipmentNum;
    }

    public void setShipmentNum(Integer shipmentNum) {
        this.shipmentNum = shipmentNum;
    }

    public Integer getDistributionNum() {
        return distributionNum;
    }

    public void setDistributionNum(Integer distributionNum) {
        this.distributionNum = distributionNum;
    }

    public String getSupplyTypeCode() {
        return supplyTypeCode;
    }

    public void setSupplyTypeCode(String supplyTypeCode) {
        this.supplyTypeCode = supplyTypeCode;
    }

    public Double getMsQuantity() {
        return msQuantity;
    }

    public void setMsQuantity(Double msQuantity) {
        this.msQuantity = msQuantity;
    }

    public Integer getPoDistributionId() {
        return poDistributionId;
    }

    public void setPoDistributionId(Integer poDistributionId) {
        this.poDistributionId = poDistributionId;
    }

    public Integer getPoHeaderId() {
        return poHeaderId;
    }

    public void setPoHeaderId(Integer poHeaderId) {
        this.poHeaderId = poHeaderId;
    }

    public Integer getPoLineId() {
        return poLineId;
    }

    public void setPoLineId(Integer poLineId) {
        this.poLineId = poLineId;
    }

    public Integer getLineNum() {
        return lineNum;
    }

    public void setLineNum(Integer lineNum) {
        this.lineNum = lineNum;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public Integer getShipToOrganizationId() {
        return shipToOrganizationId;
    }

    public void setShipToOrganizationId(Integer shipToOrganizationId) {
        this.shipToOrganizationId = shipToOrganizationId;
    }

    public Integer getItemId() {
        return itemId;
    }

    public void setItemId(Integer itemId) {
        this.itemId = itemId;
    }

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public String getUnitMeasLookupCode() {
        return unitMeasLookupCode;
    }

    public void setUnitMeasLookupCode(String unitMeasLookupCode) {
        this.unitMeasLookupCode = unitMeasLookupCode;
    }

    public Double getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(Double unitPrice) {
        this.unitPrice = unitPrice;
    }

    public Double getQuantity() {
        return quantity;
    }

    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    public Double getQuantityReceived() {
        return quantityReceived;
    }

    public void setQuantityReceived(Double quantityReceived) {
        this.quantityReceived = quantityReceived;
    }

    public String getClosedCode() {
        return closedCode;
    }

    public void setClosedCode(String closedCode) {
        this.closedCode = closedCode;
    }

    public Integer getLineLocationId() {
        return lineLocationId;
    }

    public void setLineLocationId(Integer lineLocationId) {
        this.lineLocationId = lineLocationId;
    }

    public Integer getVendorId() {
        return vendorId;
    }

    public void setVendorId(Integer vendorId) {
        this.vendorId = vendorId;
    }

    public String getVendorName() {
        return vendorName;
    }

    public void setVendorName(String vendorName) {
        this.vendorName = vendorName;
    }

    public String getWipEntityId() {
        return wipEntityId;
    }

    public void setWipEntityId(String wipEntityId) {
        this.wipEntityId = wipEntityId;
    }

    public Integer getReceivingRoutingId() {
        return receivingRoutingId;
    }

    public void setReceivingRoutingId(Integer receivingRoutingId) {
        this.receivingRoutingId = receivingRoutingId;
    }

    public String getLotControl() {
        return lotControl;
    }

    public void setLotControl(String lotControl) {
        this.lotControl = lotControl;
    }

    public String getCheckPriority() {
        return checkPriority;
    }

    public void setCheckPriority(String checkPriority) {
        this.checkPriority = checkPriority;
    }
}

